> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wikidata/lexemes

> Get a Wikidata lexeme (L-id) with its lemmas, lexical category, language, forms and senses

**Price:** 1 credit

**⚠️ Common errors:** 412: Lexeme not found



## OpenAPI

````yaml /openapi/developer-data.json post /api/wikidata/lexemes
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wikidata/lexemes:
    post:
      tags:
        - /wikidata
      summary: /wikidata/lexemes
      description: >-
        Get a Wikidata lexeme (L-id) with its lemmas, lexical category,
        language, forms and senses


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Lexeme not found
      operationId: __api_wikidata_lexemes_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WikidataLexemesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WikidataLexeme'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WikidataLexemesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        lexeme:
          type: string
          minLength: 1
      type: object
      required:
        - lexeme
    WikidataLexeme:
      properties:
        '@type':
          type: string
          default: WikidataLexeme
        id:
          type: string
        lemmas:
          additionalProperties:
            type: string
          type: object
          default: {}
        lexical_category:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        last_edited_at:
          anyOf:
            - type: string
            - type: 'null'
        statements:
          items:
            $ref: '#/components/schemas/WikidataStatement'
          type: array
          default: []
        forms:
          items:
            $ref: '#/components/schemas/WikidataLexemeForm'
          type: array
          default: []
        senses:
          items:
            $ref: '#/components/schemas/WikidataLexemeSense'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WikidataStatement:
      properties:
        '@type':
          type: string
          default: WikidataStatement
        id:
          anyOf:
            - type: string
            - type: 'null'
        property_id:
          type: string
        data_type:
          anyOf:
            - type: string
            - type: 'null'
        rank:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - $ref: '#/components/schemas/WikidataStatementValue'
            - type: 'null'
        qualifiers:
          items:
            $ref: '#/components/schemas/WikidataQualifier'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/WikidataReference'
          type: array
          default: []
      type: object
      required:
        - property_id
    WikidataLexemeForm:
      properties:
        '@type':
          type: string
          default: WikidataLexemeForm
        id:
          type: string
        representations:
          additionalProperties:
            type: string
          type: object
          default: {}
        grammatical_features:
          items:
            type: string
          type: array
          default: []
        statements:
          items:
            $ref: '#/components/schemas/WikidataStatement'
          type: array
          default: []
      type: object
      required:
        - id
    WikidataLexemeSense:
      properties:
        '@type':
          type: string
          default: WikidataLexemeSense
        id:
          type: string
        glosses:
          additionalProperties:
            type: string
          type: object
          default: {}
        statements:
          items:
            $ref: '#/components/schemas/WikidataStatement'
          type: array
          default: []
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    WikidataStatementValue:
      properties:
        '@type':
          type: string
          default: WikidataStatementValue
        type:
          anyOf:
            - type: string
            - type: 'null'
        content: {}
      type: object
    WikidataQualifier:
      properties:
        '@type':
          type: string
          default: WikidataQualifier
        property_id:
          type: string
        data_type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - $ref: '#/components/schemas/WikidataStatementValue'
            - type: 'null'
      type: object
      required:
        - property_id
    WikidataReference:
      properties:
        '@type':
          type: string
          default: WikidataReference
        parts:
          items:
            $ref: '#/components/schemas/WikidataReferencePart'
          type: array
          default: []
      type: object
    WikidataReferencePart:
      properties:
        '@type':
          type: string
          default: WikidataReferencePart
        property_id:
          type: string
        data_type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - $ref: '#/components/schemas/WikidataStatementValue'
            - type: 'null'
      type: object
      required:
        - property_id
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````